Wine - Closing Hybrid, since it's running with administrator rights!
#1
Wine v3.21 error on start

"Aborting"
"Closing Hybrid, since it's running with administrator rights!"


I have not had that before.

My OS: Arch Linux
Reply
#2
No clue why you are running the Windows version of Hybrid in Wine and not the native Hybrid version, but https://forum.selur.net/showthread.php?tid=728 should help.

Cu Selur
Reply
#3
Only if I need QTGMC.
Reply
#4
Even then one could:
a. use just Avisynth through wine
b. use Vapoursynth instead (which is what I would recommend)
but as long as it works for you the way you use it that's fine for me.

Cu Selur
Reply
#5
Maybe, but I do not know how to do that.
Could you create something portable?
If I understand how, maybe I could even create a package.
I have created many unofficial packages for Arch Linux. Smile
Reply
#6
There's a basic arch linux package for Hybrid, see: https://aur.archlinux.org/packages/hybrid-encoder, but it doesn't contain any vapoursynth stuff.
Since I don't use linux much nowadays for anything video related, I'm not really knowledgeable about how to setup Vapoursynth on arch linux.
I know there are tons of filter packages for Vapoursynth for Arch Linux by sl1pkn07, so it's probably not really hard to setup Vapoursynth on arch linux.
Once Vapoursynth works and all the filters you need are installed, you can:
1. copy the content of https://github.com/Selur/VapoursynthScriptsInHybrid into your Vapoursynth scripts folder (note this only adds scripts not filters)
2. compile https://github.com/Selur/vapoursynth-editor and add it to your path
3. enabled Vapoursynth in the misc.ini and Hybrid will assume that Vapoursynth is available
iirc this should be everything needed.

Cu Selur
Reply
#7
Okay, but where is my Vapoursynth scripts folder?
And I have this vapoursynth-editor https://aur.archlinux.org/packages/vapoursynth-editor/
And where do I find misc.ini?
Reply
#8
misc.ini -> you need to create it, see: https://forum.selur.net/showthread.php?tid=10
Vapoursynth script/plugins folder, see: http://www.vapoursynth.com/doc/autoloading.html
Quote:And I have this vapoursynth-editor https://aur.archlinux.org/packages/vapoursynth-editor/
that one will not work with Hybrid, Hybrid uses a modified vsviewer which is based on an old vapoursynth-editor version removed some stuff and added IPC, so that Hybrid can communicate with it.

Cu Selur
Reply
#9
But how do I compile vapoursynth-editor?
Reply
#10
Quote:But how do I compile vapoursynth-editor?
No clue on arch linux, on ubuntu you need to install Vapoursynth + Qt, call qmake one vapoursynth-editor.pro and then call qmake.
You can ask djcj, he builds the hosts the Ubuntu repository and probably can give you more details. Smile

Cu Selur
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)